/* this colors the asterisk red, for fields that are required. */
.required-field {
    color: red !important;
    font-size: 150% !important;
    line-height: 0.0em !important;
}


/* success message block */
.successMessage {
    color: green;
    font-weight: 500;
}


/* warning message block */
.warningMessage {
    color: orange;
    font-weight: 500;
}


/* error message block */
.errorMessage {
    color: orangered;
    font-weight: 500;
}


/* used to define un-implemented links. */
.unImplementedLink {
    text-decoration: line-through !important;
}


/* used to define a clickable element. */
.clickable {
    cursor: pointer !important;
}


/* used to define a pointable element. */
.pointable {
    cursor: default !important;
}


/* used to standardize the images displayed in picture list. */
.imageList{
    height: 150px;
    transition: transform .2s;
}


/* used to zoom pictures when hovering. */
.zoomable:hover {
    cursor: zoom-in;
    -ms-transform: scale(2);     /* IE 9 */
    -webkit-transform: scale(2); /* Safari 3-8 */
    transform: scale(2);
}


/* placeholder */
.actionButton {
}


.fullWidth {
    width: 100%;
}


.accordion-text {
    font-size: 0.75em;
    margin-left: 8em;
}


.gallery-image {
    height: 350px;
    width: auto;
    margin-top: 2em;
    margin-left: 2em;
    border: 5px solid #cccccc;
}


.gallery-container {
    display: flex;
    justify-content: center;
    align-items: center;
}


.gallery-text {
    position: absolute;
    bottom: -15px;
    right: 20px;
    background-color: black;
    color: white;
    padding-top: 5px;
    padding-left: 20px;
    padding-right: 20px;
    border: 5px solid #cccccc;
    border-radius: 15px;
}


.gallery-image-container {
    position: relative;
    font-family: Arial;
    font-size: x-large;
}